:root {
    --hue: 158;
    --saturation: 18%;
    --alpha: 1;

    --darkest: hsla(var(--hue), var(--saturation), 30%, var(--alpha));
    --darker: hsla(var(--hue), var(--saturation), 60%, var(--alpha));
    --dark: hsla(var(--hue), var(--saturation), 70%, var(--alpha));
    --base: hsla(var(--hue), var(--saturation), 80%, var(--alpha));
    --light: hsla(var(--hue), var(--saturation), 90%, var(--alpha));
    --lighter: hsla(var(--hue), var(--saturation), 94%, var(--alpha));
    --lightest: hsla(var(--hue), var(--saturation), 98%, var(--alpha));

    --header-height: 4.5rem;
    --header-font-size: 2rem;

    --text: black;

    --form-background: hsl(0, 0%, 93.3%);
    --form-shadow: hsla(0, 0%, 0%, .2);

    --form-suggestion: hsla(var(--hue), var(--saturation), 50%, var(--alpha));
    --form-suggestion: purple;

    --form-placeholder: #666;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    font-size: 62.5%;
}

body {
    display: flex;
    flex-direction: column;
    font-family: arial, helvetica, sans-serif;
    font-family: sans-serif;
    min-height: 100vh;
}

.page-wrapper {
    flex: 1;
}

.error {
    color: red;
    display: flex;
    font-size: 2rem;
    justify-content: center;
}

.message {
    color: var(--text);
    display: flex;
    font-size: 2rem;
    justify-content: center;
}

.information {
    color: var(--text);
    display: flex;
    font-size: 2rem;
    justify-content: center;
}

header {
    align-items: center;
    background: linear-gradient(to right, var(--base), var(--light));
    border-bottom: var(--darkest) .3rem solid;
    color: var(--text);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    font-size: var(--header-font-size);
    height: var(--header-height);
    justify-content: space-between;
    padding: 0 1.5rem;
}

select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

#branding {
    align-items: center;
    display: flex;
    height: var(--header-height);
}

.logo-wrap img {
    display: block;
}

#logo {
    height: 2.5rem;
}

#name {
    color: var(--text);
    padding-left: .6rem;
    text-decoration: none;
}

.diagnostics {
  white-space: pre-wrap; 
  font-family: monospace; 
  font-size: 21px;
  background-color: #f4f4f4;
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow-x: auto;
}

main {
    margin: 2.5rem;
}

main p {
    font-size: 2.5rem;
    line-height: 3rem;
    margin-bottom: 2rem;
}

footer {
    background-color: var(--lighter);
}

.footer-wrapper {
    color: var(--text);
    display: flex;
    padding: .4rem;
    justify-content: center;
    font-size: 1.2rem;
}

#toggle {
    display: none;
}

#toggle:checked+nav {
    display: block;
    width: 100%;
}

#toggle-icon {
    cursor: pointer;
    display: block;
    font-size: 2rem;
}

nav {
    background-color: var(--darkest);
    display: none;
    z-index: 1;
}

nav .current {
    background-color: var(--darkest);
}

nav .current a {
    color: white;
}

nav ul {
    align-items: center;
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
    width: 100%;
}

nav li {
    border-bottom: .1rem solid var(--dark);
    padding: 1rem;
    text-align: center;
    width: 100%;
}

nav li:hover {
    background-color: var(--darker);
    color: white;
}

nav a {
    color: lightgray;
    font-size: 2.8rem;
    text-decoration: none;
}

nav li:hover a {
    color: inherit;
}

/*----------------------------------------------------------------------------*/

@media screen and (min-width: 36em) {
    header {
        flex-wrap: nowrap;
    }

    #toggle:checked+nav {
        width: auto;
        display: inline;
    }

    #toggle-icon {
        display: none;
    }

    nav {
        background-color: transparent;
        display: block;
        width: auto;
    }

    nav li {
        border-bottom-style: none;
        width: auto;
    }

    nav a {
        color: var(--text);
        font-size: var(--header-font-size);
    }
}

/*----------------------------------------------------------------------------*/

.user-info {
    background: var(--form-background);
    border-radius: .5rem;
    box-shadow: 0rem .4rem 1rem .1rem var(--form-shadow);
    /*margin: 10vh auto;*/
    margin: 10vh auto 2vh auto;
    max-width: 42rem;
    padding: 2rem 1.5rem;
    width: 98%;
}

.user-row {
 align-items: center;
    display: flex;
    height: 4.5rem;
    justify-content: space-between;
    margin-bottom: 1.5rem;
}


label {
	display: block;
	font-size: 2rem;
	margin-bottom: 5px;
}

.user-row input {
    border: .1rem solid var(--base);
    border-radius: .5rem;
    font-size: 2rem;
    height: 100%;
    outline: none;
    padding-left: 6rem;
    transition: all 0.3s ease;
    width: 90%;
}

input:focus {
    border-color: var(--dark);
    box-shadow: inset 0 0 .2rem .2rem var(--darker);
}

::placeholder {
    color: var(--form-placeholder);
}

.svg-small {
    height: 2rem;
}

.svg-medium {
    height: 2.4rem;
}

#email-icon,
#password-icon {
    align-items: center;
    background: var(--dark);
    border: .1rem solid var(--darker);
    border-radius: .5rem 0 0 .5rem;
    display: flex;
    height: 4.5rem;
    justify-content: center;
    position: absolute;
    width: 4.5rem;
}

.password-toggle {
    cursor: pointer;
    margin: auto auto;
}

#password-show-icon {
    display: none;
}

#password-show-icon-2 {
    display: none;
}

.forgot-password {
    margin: -.8rem 0 2rem 0;
}

.forgot-password a {
    color: var(--form-suggestion);
    font-size: 1.7rem;
    text-decoration: none;
}

.forgot-password a:hover {
    font-weight: 550;
}

.button input {
    background: var(--dark);
    border: .1rem solid var(--darker);
    cursor: pointer;
    font-size: 2rem;
    font-weight: 525;
    padding-left: 0;
    width: 100%;
}

form .button input:hover {
    background: var(--darker);
}

.register-link {
    font-size: 1.7rem;
    margin-top: 2rem;
    text-align: center;
}

.register-link a {
    color: var(--form-suggestion);
    text-decoration: none;
}

.register-link a:hover {
    font-weight: 550;
}

#input.token {
    text-align: left;
}

#email-verify {
    display: none;
}

#password-verify {
    display: none;
}
